Remove unused IT and openstack scripts 80/77080/1
authorSam Hague <shague@redhat.com>
Thu, 18 Oct 2018 15:06:54 +0000 (11:06 -0400)
committerSam Hague <shague@redhat.com>
Thu, 18 Oct 2018 15:06:54 +0000 (11:06 -0400)
Change-Id: I0c11deda72bff7f11ec2b3fb24381409bf0b1b54
Signed-off-by: Sam Hague <shague@redhat.com>
jjb/netvirt/cleanup-docker.sh [deleted file]
jjb/netvirt/include-setup-hwvtep-docker.sh [deleted file]
jjb/netvirt/include-setup-misc.sh [deleted file]
jjb/netvirt/netvirt-full-integration.yaml [deleted file]
jjb/netvirt/openstack-ci.sh [deleted file]
jjb/netvirt/setup-docker.sh [deleted file]
jjb/neutron/openstack-ci.sh [deleted file]

diff --git a/jjb/netvirt/cleanup-docker.sh b/jjb/netvirt/cleanup-docker.sh
deleted file mode 100644 (file)
index 9aff8ed..0000000
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/bash
-
-set -e
-
-echo "---> Cleaning up OVS $OVS_VERSION"
-docker logs "$CID" > "$WORKSPACE/docker-ovs-${OVS_VERSION}.log"
-docker stop "$CID"
-docker rm "$CID"
-rm env.properties
-
-docker images
diff --git a/jjb/netvirt/include-setup-hwvtep-docker.sh b/jjb/netvirt/include-setup-hwvtep-docker.sh
deleted file mode 100644 (file)
index 7860c4b..0000000
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/bash
-
-set -e
-
-echo "---> Configuring OVS for HW VTEP Emulator"
-/usr/bin/docker exec "$CID" supervisorctl stop ovsdb-server
-/usr/bin/docker exec "$CID" supervisorctl start ovsdb-server-vtep
-/usr/bin/docker exec "$CID" ovs-vsctl add-br br-vtep
-/usr/bin/docker exec "$CID" ovs-vsctl add-port br-vtep eth0
-/usr/bin/docker exec "$CID" vtep-ctl add-ps br-vtep
-/usr/bin/docker exec "$CID" vtep-ctl add-port br-vtep eth0
-/usr/bin/docker exec "$CID" vtep-ctl set Physical_Switch br-vtep tunnel_ips=192.168.254.20
-/usr/bin/docker exec "$CID" vtep-ctl set-manager ptcp:6640
-sleep 5
-echo "---> Starting OVS HW VTEP Emulator"
-/usr/bin/docker exec "$CID" supervisorctl start ovs-vtep
-sleep 5
diff --git a/jjb/netvirt/include-setup-misc.sh b/jjb/netvirt/include-setup-misc.sh
deleted file mode 100644 (file)
index 93e1b8d..0000000
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/bash
-
-set -e
-
-echo "---> Setting up controller IP"
-CONTROLLER_IP=$(facter ipaddress)
-echo "CONTROLLER_IP=${CONTROLLER_IP}" > env.properties
-
-echo "---> Loading OVS kernel module"
-sudo /usr/sbin/modprobe openvswitch
-
-echo "---> Verifying OVS kernel module loaded"
-/usr/sbin/lsmod | /usr/bin/grep openvswitch
diff --git a/jjb/netvirt/netvirt-full-integration.yaml b/jjb/netvirt/netvirt-full-integration.yaml
deleted file mode 100644 (file)
index c43df19..0000000
+++ /dev/null
@@ -1,222 +0,0 @@
----
-- project:
-    name: netvirt-full-integration
-    jobs:
-      - 'netvirt-daily-full-integration-{stream}'
-
-    stream:
-      - neon:
-          branch: 'master'
-      - fluorine:
-          branch: 'stable/fluorine'
-      - oxygen:
-          branch: 'stable/oxygen'
-
-    project: 'netvirt'
-    archive-artifacts: '*.log **/target/surefire-reports/*.txt'
-
-- builder:
-    name: netvirt-run-it-external-docker
-    builders:
-      - maven-target:
-          maven-version: '{maven-version}'
-          pom: '{pomFile}'
-          goals: >
-              -V -B verify -l {logfile} -Pintegrationtest
-              -Dskip.karaf.featureTest=true -Dmaven.compile.fork=true
-              -Dovsdb.controller.address=${{CONTROLLER_IP}}
-              -Dmaven.test.failure.ignore=true
-          properties:
-            - 'ovsdbserver.ipaddress=127.0.0.1'
-            - 'ovsdbserver.port=6641'
-            - 'ovsdb.userspace.enabled=yes'
-            - 'maven.repo.local=/tmp/r'
-            - 'org.ops4j.pax.url.mvn.localRepository=/tmp/r'
-            - 'stream={stream}'
-          java-opts:
-            - '-Xmx1024m -XX:MaxPermSize=256m'
-          settings: 'netvirt-settings'
-          settings-type: cfp
-          global-settings: 'global-settings'
-          global-settings-type: cfp
-
-- builder:
-    name: netvirt-run-it-dockerOvs
-    builders:
-      - maven-target:
-          maven-version: '{maven-version}'
-          pom: '{pomFile}'
-          goals: >
-              -V -B verify -l {logfile} -Pintegrationtest
-              -Dskip.karaf.featureTest=true -Dmaven.compile.fork=true
-              -Dovsdb.controller.address=${{CONTROLLER_IP}}
-              -Ddocker.compose.file=ovs-{OVS_VERSION}-hwvtep.yml
-              -Ddocker.vEnvWs=$WORKSPACE
-              -Dsgm=transparent
-              -Dmaven.test.failure.ignore=true
-          properties:
-            - 'maven.repo.local=/tmp/r'
-            - 'org.ops4j.pax.url.mvn.localRepository=/tmp/r'
-            - 'stream={stream}'
-          java-opts:
-            - '-Xmx1024m -XX:MaxPermSize=256m'
-          settings: 'netvirt-settings'
-          settings-type: cfp
-          global-settings: 'global-settings'
-          global-settings-type: cfp
-
-- builder:
-    name: run-net-virt-it
-    builders:
-      - netvirt-run-it-dockerOvs:
-          maven-version: '{maven-version}'
-          stream: '{stream}'
-          pomFile: 'openstack/net-virt-it/pom.xml'
-          logfile: '{OVS_VERSION}-net-virt-IT.log'
-          OVS_VERSION: '{OVS_VERSION}'
-
-- builder:
-    name: run-netvirt-sfc-it
-    builders:
-      - netvirt-run-it-external-docker:
-          maven-version: '{maven-version}'
-          stream: '{stream}'
-          pomFile: 'openstack/net-virt-sfc/it/pom.xml'
-          logfile: '{OVS_VERSION}-netvirt-sfc-IT.log'
-
-- builder:
-    name: run-netvirt-vpnservice-it
-    builders:
-      - netvirt-run-it-dockerOvs:
-          maven-version: '{maven-version}'
-          stream: '{stream}'
-          pomFile: 'vpnservice/it/pom.xml'
-          logfile: '{OVS_VERSION}-netvirt-vpnservice-IT.log'
-          OVS_VERSION: '{OVS_VERSION}'
-
-- builder:
-    name: install-docker-compose
-    builders:
-      - shell: |
-          virtualenv $WORKSPACE/venv
-          source $WORKSPACE/venv/bin/activate
-          PYTHON="$WORKSPACE/venv/bin/python"
-          $PYTHON -m pip install --upgrade pip
-          $PYTHON -m pip install docker-compose
-
-
-- builder:
-    name: run-netvirt-it
-    builders:
-      - inject:
-          properties-content: OVS_VERSION={OVS_VERSION}
-      - shell: !include-raw-escape: include-setup-misc.sh
-      - inject:
-          properties-file: env.properties
-      - install-docker-compose
-      - run-netvirt-vpnservice-it:
-          OVS_VERSION: '{OVS_VERSION}'
-          maven-version: '{maven-version}'
-          stream: '{stream}'
-      - run-net-virt-it:
-          OVS_VERSION: '{OVS_VERSION}'
-          maven-version: '{maven-version}'
-          stream: '{stream}'
-      - shell: !include-raw-escape: setup-docker.sh
-      - inject:
-          properties-file: env.properties
-      - run-netvirt-sfc-it:
-          OVS_VERSION: '{OVS_VERSION}'
-          maven-version: '{maven-version}'
-          stream: '{stream}'
-      - shell: !include-raw-escape: cleanup-docker.sh
-
-- job-template:
-    name: 'netvirt-daily-full-integration-{stream}'
-
-    project-type: freestyle
-    node: centos7-docker-1c-4g
-    concurrent: true
-    jdk: '{java-version}'
-    description: >
-        Integration tests for the Netvirt project against different versions of
-        OVS and branches. This job runs nightly.
-
-    properties:
-      - opendaylight-infra-properties:
-          build-days-to-keep: '{build-days-to-keep}'
-
-    parameters:
-      - opendaylight-infra-parameters:
-          os-cloud: '{os-cloud}'
-          project: '{project}'
-          branch: '{branch}'
-          refspec: 'refs/heads/{branch}'
-          artifacts: '{archive-artifacts}'
-
-    scm:
-      - gerrit-trigger-scm:
-          refspec: '$GERRIT_REFSPEC'
-          branch: '{branch}'
-          choosing-strategy: gerrit
-
-    wrappers:
-      - opendaylight-infra-wrappers:
-          build-timeout: '{build-timeout}'
-
-    triggers:
-      - gerrit:
-          server-name: '{gerrit-server-name}'
-          trigger-on:
-            - comment-added-contains-event:
-                comment-contains-value: 'runit'
-          projects:
-            - project-compare-type: 'ANT'
-              project-pattern: '{project}'
-              branches:
-                - branch-compare-type: 'ANT'
-                  branch-pattern: '**/{branch}'
-          skip-vote:
-            successful: true
-            failed: true
-            unstable: true
-            notbuilt: true
-
-    builders:
-      - wipe-org-opendaylight-repo
-      - maven-target:
-          maven-version: 'mvn33'
-          pom: 'pom.xml'
-          goals: '-V -B -l build.log clean install dependency:tree -Pq -Dmaven.compile.fork=true'
-          properties:
-            - 'maven.repo.local=/tmp/r'
-            - 'org.ops4j.pax.url.mvn.localRepository=/tmp/r'
-            - 'stream={stream}'
-          java-opts:
-            - '-Xmx1024m -XX:MaxPermSize=256m'
-          settings: 'netvirt-settings'
-          settings-type: cfp
-          global-settings: 'global-settings'
-          global-settings-type: cfp
-      # skip 2.4.0 until we figure out conntrack
-      # - run-netvirt-it:
-      #    maven-version: 'mvn33'
-      #    stream: '{stream}'
-      #    OVS_VERSION: '2.4.0'
-      - run-netvirt-it:
-          maven-version: 'mvn33'
-          stream: '{stream}'
-          OVS_VERSION: '2.5.0'
-      - jacoco-nojava-workaround
-
-    publishers:
-      - email-notification:
-          email-recipients: '{email-recipients}'
-          email-prefix: '[netvirt]'
-      - text-finder:
-          fileset: "**/target/surefire-reports/*.xml"
-          regexp: 'failures\=\"[^0]\"'
-          succeed-if-found: false
-          unstable-if-found: true
-          also-check-console-output: false
-      - lf-infra-publish
diff --git a/jjb/netvirt/openstack-ci.sh b/jjb/netvirt/openstack-ci.sh
deleted file mode 100644 (file)
index 4606768..0000000
+++ /dev/null
@@ -1,144 +0,0 @@
-#!/bin/bash
-#
-# NOTE: This file takes two jobs from the OpenStack infra and
-#       puts them here. See here:
-#
-# https://github.com/openstack-infra/project-config/blob/master/jenkins/jobs/networking-odl.yaml
-
-export PATH="$PATH:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/sbin"
-
-# *SIGH*. This is required to get lsb_release
-sudo yum -y install redhat-lsb-core indent python-testrepository
-
-echo "Making /opt/stack/new jenkins:jenkins"
-sudo /usr/sbin/groupadd jenkins
-sudo mkdir -p /opt/stack/new
-sudo chown -R jenkins:jenkins /opt/stack/new
-sudo bash -c 'echo "stack ALL=(ALL) NOPASSWD:ALL" >> /etc/sudoers'
-
-# We need to install some scripts from openstack/os-testr project
-cd ~ || exit 1
-echo "Setting up infra scripts"
-sudo mkdir -p /usr/local/jenkins/slave_scripts
-git clone https://github.com/openstack/os-testr.git
-cd os-testr/os_testr || exit 1
-sudo cp subunit2html.py /usr/local/jenkins/slave_scripts
-
-# Save existing WORKSPACE
-SAVED_WORKSPACE="$WORKSPACE"
-export WORKSPACE=~/workspace
-mkdir -p "$WORKSPACE"
-cd "$WORKSPACE" || exit 1
-
-# This is the job which checks out devstack-gate
-if [[ ! -e devstack-gate ]]; then
-    echo "Cloning devstack-gate"
-    git clone https://git.openstack.org/openstack-infra/devstack-gate
-else
-    echo "Fixing devstack-gate git remotes"
-    cd devstack-gate || exit 1
-    git remote set-url origin https://git.openstack.org/openstack-infra/devstack-gate
-    git remote update
-    git reset --hard
-    if ! git clean -x -f ; then
-        sleep 1
-        git clean -x -f
-    fi
-    git checkout master
-    git reset --hard remotes/origin/master
-    if ! git clean -x -f ; then
-        sleep 1
-        git clean -x -f
-    fi
-    cd ..
-fi
-
-# Set the pieces we want to test
-if [ "$GERRIT_PROJECT" == "openstack/neutron" ]; then
-    export ZUUL_PROJECT=$GERRIT_PROJECT
-    export ZUUL_BRANCH=$GERRIT_REFSPEC
-elif [ "$GERRIT_PROJECT" == "openstack-dev/devstack" ]; then
-    export ZUUL_PROJECT=$GERRIT_PROJECT
-    export ZUUL_BRANCH=$GERRIT_REFSPEC
-fi
-
-echo "Setting environment variables"
-
-# Enable ODL debug logs and set memory parameters
-DEVSTACK_LOCAL_CONFIG=""
-DEVSTACK_LOCAL_CONFIG+="ODL_NETVIRT_DEBUG_LOGS=True;"
-DEVSTACK_LOCAL_CONFIG+="ODL_JAVA_MIN_MEM=512m;"
-DEVSTACK_LOCAL_CONFIG+="ODL_JAVA_MAX_MEM=784m;"
-DEVSTACK_LOCAL_CONFIG+="ODL_JAVA_MAX_PERM_MEM=784m;"
-
-# Set ODL_URL_PREFIX if "nexus proxy" is provided
-export URL_PREFIX="${ODLNEXUSPROXY:-https://nexus.opendaylight.org}"
-if [ -n "$ODLNEXUSPROXY" ] ; then
-    DEVSTACK_LOCAL_CONFIG+="ODL_URL_PREFIX=$ODLNEXUSPROXY;"
-fi
-
-## # Trim down the boot wait time
-## export ODL_BOOT_WAIT=30
-
-# Use specific build, if asked to do so
-if [ "${ODL_VERSION}" == "beryllium" ] ; then
-    DEVSTACK_LOCAL_CONFIG+="ODL_RELEASE=beryllium-snapshot-0.4.0;"
-fi
-
-# And this runs devstack-gate
-export PYTHONUNBUFFERED=true
-export DEVSTACK_GATE_TIMEOUT=120
-export DEVSTACK_GATE_NEUTRON=1
-export DEVSTACK_GATE_TEMPEST=1
-export BRANCH_OVERRIDE=master
-if [ "$BRANCH_OVERRIDE" != "default" ] ; then
-    export OVERRIDE_ZUUL_BRANCH=$BRANCH_OVERRIDE
-fi
-# Because we are testing a non standard project, add
-# our project repository. This makes zuul do the right
-# reference magic for testing changes.
-export PROJECTS="openstack/networking-odl $PROJECTS"
-# Note the actual url here is somewhat irrelevant because it
-# caches in nodepool, however make it a valid url for
-# documentation purposes.
-if [ "$GERRIT_PROJECT" == "openstack/networking-odl" ]; then
-    export DEVSTACK_LOCAL_CONFIG+="enable_plugin networking-odl https://$GERRIT_HOST/$GERRIT_PROJECT $GERRIT_REFSPEC"
-else
-    export DEVSTACK_LOCAL_CONFIG+="enable_plugin networking-odl https://git.openstack.org/openstack/networking-odl"
-fi
-
-
-# Keep localrc to be able to set some vars in pre_test_hook
-export KEEP_LOCALRC=1
-
-# Unset this because it's set by the underlying Jenkins node ...
-unset GIT_BASE
-
-# By default, only run certain tempest tests
-export DEVSTACK_GATE_TEMPEST_REGEX=${TEMPEST_REGEX:-"tempest.api.network.test_networks_negative tempest.api.network.test_networks.NetworksTestJSON"}
-
-# Specifically set the services we want
-#OVERRIDE_ENABLED_SERVICES=q-svc,q-dhcp,q-l3,q-meta,quantum,key,g-api,g-reg,n-api,n-crt,n-obj,n-cpu,n-cond,n-sch,n-xvnc,n-cauth,h-eng,h-api,h-api-cfn,h-api-cw,rabbit,tempest,mysql
-
-echo "Copying devstack-vm-gate-wrap.sh"
-cp devstack-gate/devstack-vm-gate-wrap.sh ./safe-devstack-vm-gate-wrap.sh
-echo "Running safe-devstack-vm-gate-wrap.sh"
-./safe-devstack-vm-gate-wrap.sh
-# Save the return value so we can exit with this
-DGRET=$?
-
-# Restore WORKSPACE
-OS_WORKSPACE="$WORKSPACE"
-export WORKSPACE="$SAVED_WORKSPACE"
-
-# Copy and display all the logs
-cat /opt/stack/new/devstacklog*
-ls /opt/stack/; ls /opt/stack/new; ls /opt/stack/new/opendaylight;
-cp -r "$OS_WORKSPACE/logs" "$WORKSPACE"
-cp -a /opt/stack/new/logs/screen-odl-karaf* "$WORKSPACE/logs"
-mkdir -p "$WORKSPACE/logs/opendaylight"
-cp -a /opt/stack/new/opendaylight/distribution*/etc "$WORKSPACE/logs/opendaylight"
-# Unzip the logs to make them easier to view
-gunzip "$WORKSPACE"/logs/*.gz
-
-exit "$DGRET"
diff --git a/jjb/netvirt/setup-docker.sh b/jjb/netvirt/setup-docker.sh
deleted file mode 100644 (file)
index 2c98e9e..0000000
+++ /dev/null
@@ -1,31 +0,0 @@
-#!/bin/bash
-
-set -e
-
-OVS_VERSION="${OVS_VERSION:-2.5.0}"
-
-echo "---> Cleaning up existing Docker processes and images"
-for x in $(docker ps -a -q)
-do
-   docker stop "$x"
-   docker rm "$x"
-done
-
-for x in $(docker images | grep vpickard | awk '{print $3}')
-do
-   docker rmi "$x"
-done
-
-
-
-echo "---> Starting OVS $OVS_VERSION"
-/usr/bin/docker pull "vpickard/openvswitch:$OVS_VERSION"
-CID=$(/usr/bin/docker run -p 6641:6640 --privileged=true -d -i -t "vpickard/openvswitch:$OVS_VERSION" /usr/bin/supervisord)
-REALCID=$(echo "$CID" | rev | cut -d ' ' -f 1 | rev)
-echo "CID=$REALCID" > env.properties
-echo "OVS_VERSION=${OVS_VERSION}" >> env.properties
-CONTROLLER_IP=$(facter ipaddress)
-echo "CONTROLLER_IP=${CONTROLLER_IP}" >> env.properties
-
-echo "---> Waiting..."
-sleep 10
diff --git a/jjb/neutron/openstack-ci.sh b/jjb/neutron/openstack-ci.sh
deleted file mode 100644 (file)
index 24d4332..0000000
+++ /dev/null
@@ -1,148 +0,0 @@
-#!/bin/bash
-#
-# NOTE: This file takes two jobs from the OpenStack infra and
-#       puts them here. See here:
-#
-# https://github.com/openstack-infra/project-config/blob/master/jenkins/jobs/networking-odl.yaml
-
-export PATH=$PATH:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/sbin
-
-# *SIGH*. This is required to get lsb_release
-sudo yum -y install redhat-lsb-core indent python-testrepository
-
-echo "Making /opt/stack/new jenkins:jenkins"
-sudo /usr/sbin/groupadd jenkins
-sudo mkdir -p /opt/stack/new
-sudo chown -R jenkins:jenkins /opt/stack/new
-sudo bash -c 'echo "stack ALL=(ALL) NOPASSWD:ALL" >> /etc/sudoers'
-
-# We need to install some scripts from openstack-infra/project-config
-cd ~ || exit 1
-echo "Setting up infra scripts"
-sudo mkdir -p /usr/local/jenkins/slave_scripts
-git clone https://git.openstack.org/openstack-infra/project-config
-cd project-config || exit 1
-sudo cp jenkins/scripts/subunit2html.py /usr/local/jenkins/slave_scripts
-
-# Save existing WORKSPACE
-SAVED_WORKSPACE=$WORKSPACE
-export WORKSPACE=~/workspace
-mkdir -p $WORKSPACE
-cd $WORKSPACE || exit 1
-
-# This is the job which checks out devstack-gate
-if [[ ! -e devstack-gate ]]; then
-    echo "Cloning devstack-gate"
-    git clone https://git.openstack.org/openstack-infra/devstack-gate
-else
-    echo "Fixing devstack-gate git remotes"
-    cd devstack-gate || exit 1
-    git remote set-url origin https://git.openstack.org/openstack-infra/devstack-gate
-    git remote update
-    git reset --hard
-    if ! git clean -x -f ; then
-        sleep 1
-        git clean -x -f
-    fi
-    git checkout master
-    git reset --hard remotes/origin/master
-    if ! git clean -x -f ; then
-        sleep 1
-        git clean -x -f
-    fi
-    cd ..
-fi
-
-# Set the pieces we want to test
-if [ "$GERRIT_PROJECT" == "openstack/neutron" ]; then
-    export ZUUL_PROJECT=$GERRIT_PROJECT
-    export ZUUL_BRANCH=$GERRIT_REFSPEC
-elif [ "$GERRIT_PROJECT" == "openstack-dev/devstack" ]; then
-    export ZUUL_PROJECT=$GERRIT_PROJECT
-    export ZUUL_BRANCH=$GERRIT_REFSPEC
-fi
-
-echo "Setting environment variables"
-
-# Enable ODL debug logs and set memory parameters
-DEVSTACK_LOCAL_CONFIG=""
-DEVSTACK_LOCAL_CONFIG+="ODL_NETVIRT_DEBUG_LOGS=True;"
-DEVSTACK_LOCAL_CONFIG+="ODL_JAVA_MIN_MEM=512m;"
-DEVSTACK_LOCAL_CONFIG+="ODL_JAVA_MAX_MEM=784m;"
-DEVSTACK_LOCAL_CONFIG+="ODL_JAVA_MAX_PERM_MEM=784m;"
-
-# Set ODL_URL_PREFIX if "nexus proxy" is provided
-export URL_PREFIX="${ODLNEXUSPROXY:-https://nexus.opendaylight.org}"
-if [ -n "$ODLNEXUSPROXY" ] ; then
-    DEVSTACK_LOCAL_CONFIG+="ODL_URL_PREFIX=$ODLNEXUSPROXY;"
-fi
-
-## # Trim down the boot wait time
-## export ODL_BOOT_WAIT=30
-
-# Use specific build, if asked to do so
-if [ "${ODL_VERSION}" == "lithium-latest" ] ; then
-    # FIXME: Support more recent ODL release versions.
-    DEVSTACK_LOCAL_CONFIG+="ODL_RELEASE=lithium-snapshot;"
-fi
-
-# If Karaf netvirt feature was explicitly provided, add it to DEVSTACK_LOCAL_CONFIG
-if [ -n "$KARAFFEATURE" ] ; then
-    DEVSTACK_LOCAL_CONFIG+="ODL_NETVIRT_KARAF_FEATURE=${KARAFFEATURE};"
-fi
-
-# And this runs devstack-gate
-export PYTHONUNBUFFERED=true
-export DEVSTACK_GATE_TIMEOUT=120
-export DEVSTACK_GATE_NEUTRON=1
-export DEVSTACK_GATE_TEMPEST=1
-export BRANCH_OVERRIDE=master
-if [ "$BRANCH_OVERRIDE" != "default" ] ; then
-    export OVERRIDE_ZUUL_BRANCH=$BRANCH_OVERRIDE
-fi
-# Because we are testing a non standard project, add
-# our project repository. This makes zuul do the right
-# reference magic for testing changes.
-export PROJECTS="openstack/networking-odl $PROJECTS"
-# Note the actual url here is somewhat irrelevant because it
-# caches in nodepool, however make it a valid url for
-# documentation purposes.
-if [ "$GERRIT_PROJECT" == "openstack/networking-odl" ]; then
-    export DEVSTACK_LOCAL_CONFIG+="enable_plugin networking-odl https://$GERRIT_HOST/$GERRIT_PROJECT $GERRIT_REFSPEC"
-else
-    export DEVSTACK_LOCAL_CONFIG+="enable_plugin networking-odl https://git.openstack.org/openstack/networking-odl"
-fi
-
-
-# Keep localrc to be able to set some vars in pre_test_hook
-export KEEP_LOCALRC=1
-
-# Unset this because it's set by the underlying Jenkins node ...
-unset GIT_BASE
-
-# By default, only run certain tempest tests
-export DEVSTACK_GATE_TEMPEST_REGEX=${TEMPEST_REGEX:-"tempest.api.network.test_networks_negative tempest.api.network.test_networks.NetworksTestJSON"}
-
-# Specifically set the services we want
-#OVERRIDE_ENABLED_SERVICES=q-svc,q-dhcp,q-l3,q-meta,quantum,key,g-api,g-reg,n-api,n-crt,n-obj,n-cpu,n-cond,n-sch,n-xvnc,n-cauth,h-eng,h-api,h-api-cfn,h-api-cw,rabbit,tempest,mysql
-
-echo "Copying devstack-vm-gate-wrap.sh"
-cp devstack-gate/devstack-vm-gate-wrap.sh ./safe-devstack-vm-gate-wrap.sh
-echo "Running safe-devstack-vm-gate-wrap.sh"
-./safe-devstack-vm-gate-wrap.sh
-# Save the return value so we can exit with this
-DGRET=$?
-
-# Restore WORKSPACE
-OS_WORKSPACE=$WORKSPACE
-export WORKSPACE=$SAVED_WORKSPACE
-
-# Copy all the logs
-cp -r "$OS_WORKSPACE/logs" "$WORKSPACE"
-cp -a /opt/stack/new/logs/q-odl-karaf* "$WORKSPACE/logs"
-mkdir -p "$WORKSPACE/logs/opendaylight"
-cp -a /opt/stack/new/opendaylight/distribution*/etc "$WORKSPACE/logs/opendaylight"
-# Unzip the logs to make them easier to view
-gunzip "$WORKSPACE"/logs/*.gz
-
-exit $DGRET